Search Results for

Show / Hide Table of Contents

# Class DynamicStatusBar.DynamicStatusBarDetails

##### Inheritance

System.Object
DynamicStatusBar.DynamicStatusBarDetails

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicStatusBarDetails : FrameView

### Constructors

#### DynamicStatusBarDetails(ustring)

##### Declaration

    public DynamicStatusBarDetails(ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title |

#### DynamicStatusBarDetails(StatusItem)

##### Declaration

    public DynamicStatusBarDetails(StatusItem statusItem = null)

##### Parameters

Type | Name | Description
--- | --- | ---
StatusItem | statusItem |

### Fields

#### _statusItem

##### Declaration

    public StatusItem _statusItem

##### Field Value

Type | Description
--- | ---
StatusItem |

#### _txtAction

##### Declaration

    public TextView _txtAction

##### Field Value

Type | Description
--- | ---
TextView |

#### _txtShortcut

##### Declaration

    public TextField _txtShortcut

##### Field Value

Type | Description
--- | ---
TextField |

#### _txtTitle

##### Declaration

    public TextField _txtTitle

##### Field Value

Type | Description
--- | ---
TextField |

### Methods

#### CreateAction(DynamicStatusBar.DynamicStatusItem)

##### Declaration

    public Action CreateAction(DynamicStatusBar.DynamicStatusItem item)

##### Parameters

Type | Name | Description
--- | --- | ---
DynamicStatusBar.DynamicStatusItem | item |

##### Returns

Type | Description
--- | ---
System.Action |

#### EditStatusItem(StatusItem)

##### Declaration

    public void EditStatusItem(StatusItem statusItem)

##### Parameters

Type | Name | Description
--- | --- | ---
StatusItem | statusItem |

#### EnterStatusItem()

##### Declaration

    public DynamicStatusBar.DynamicStatusItem EnterStatusItem()

##### Returns

Type | Description
--- | ---
DynamicStatusBar.DynamicStatusItem |